Branch an environment
curl --request POST \
--url {schemes}://api.upsun.com/projects/{projectId}/environments/{environmentId}/branch \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>",
"name": "<string>",
"clone_parent": true,
"resources": {}
}
'import requests
url = "{schemes}://api.upsun.com/projects/{projectId}/environments/{environmentId}/branch"
payload = {
"title": "<string>",
"name": "<string>",
"clone_parent": True,
"resources": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({title: '<string>', name: '<string>', clone_parent: true, resources: {}})
};
fetch('{schemes}://api.upsun.com/projects/{projectId}/environments/{environmentId}/branch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "<string>",
"code": 123
}Environment
Branch an environment
Create a new environment as a branch of the current environment.
POST
/
projects
/
{projectId}
/
environments
/
{environmentId}
/
branch
Branch an environment
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Last modified on June 16, 2026
Was this page helpful?